Package groovy.lang

# Class GroovySystem

java.lang.Object
groovy.lang.GroovySystem

    public final class GroovySystem
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.util.Map<java.lang.String,​GroovyRunner>` | `RUNNER_REGISTRY` | Deprecated. use `GroovyRunnerRegistry`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static MetaClassRegistry` | `getMetaClassRegistry()` |
  `static java.lang.String` | `getShortVersion()` | Returns the major and minor part of the groovy version excluding the point/patch part of the version.
  `static java.lang.String` | `getVersion()` | Returns the groovy version
  `static boolean` | `isKeepJavaMetaClasses()` |
  `static boolean` | `isUseReflection()` | Deprecated.
  `static void` | `setKeepJavaMetaClasses​(boolean keepJavaMetaClasses)` |
  `static void` | `stopThreadedReferenceManager()` | This method can be used to ensure that no threaded created by a reference manager will be active.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RUNNER_REGISTRY

    @Deprecated public static final java.util.Map<java.lang.String,​GroovyRunner> RUNNER_REGISTRY
    Deprecated.
    use `GroovyRunnerRegistry`
    Reference to the Runtime Registry to be used by the Groovy run-time system to find classes capable of running scripts

- ## Method Details

  - ### isUseReflection

    @Deprecated public static boolean isUseReflection()
    Deprecated.

  - ### getMetaClassRegistry

    public static MetaClassRegistry getMetaClassRegistry()

  - ### setKeepJavaMetaClasses

    public static void setKeepJavaMetaClasses​(boolean keepJavaMetaClasses)

  - ### isKeepJavaMetaClasses

    public static boolean isKeepJavaMetaClasses()

  - ### stopThreadedReferenceManager

    public static void stopThreadedReferenceManager()
    This method can be used to ensure that no threaded created by a reference manager will be active. This is useful if the Groovy runtime itself is loaded through a class loader which should be disposed off. Without calling this method and if a threaded reference manager is active the class loader cannot be unloaded! Per default no threaded manager will be used.
    Since:
      1.6

  - ### getVersion

    public static java.lang.String getVersion()
    Returns the groovy version

  - ### getShortVersion

    public static java.lang.String getShortVersion()
    Returns the major and minor part of the groovy version excluding the point/patch part of the version. E.g. 3.0.0, 3.0.0-SNAPSHOT, 3.0.0-rc-1 all have 3.0 as the short version.
    Since:
      3.0.1